% model parameters
K = 5; % gain
T = 10; % time constant
tau = 2; % delay
SetPoint = 0; % setpoint

%disturbance
dist_t = 10;
dist_val = 1;

% PID
P = 0.84; % tuning gave oscillations at P=1.4 with a period of 10s
I = 5;
D = 1.25;

% simulator settings
t_stop = 100;
t_step=0.01;
options = simset('solver','ode5','fixedstep',t_step);

sim('model2c',t_stop,options)

IAE = sum(abs(d_error(dist_t/t_step:end)*t_step));
